// CMSC427
// File: RaggedCircles.pde
// R. Eastman
// Parametric spiral


size(500,500);
background(255);
strokeWeight(5);
stroke(255,0,255);

for (int numCircles = 200; numCircles > 0; numCircles-=20) {
stroke(numCircles,0,255);
beginShape();
for (float angle = 0; angle < 360; angle+=1) {
  float s = random(0.9,1.1);
  float x = width/2 + numCircles*cos(radians(angle)) *s;
  float y = height/2 + numCircles*sin(radians(angle)) *s ;
  vertex(x,y);
}
endShape(CLOSE);
}